<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Generated by Apache Maven Doxia Site Renderer 1.3 at Nov 29, 2016 -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=${outputEncoding}" />
    <title>PMD Results</title>
    <style type="text/css" media="all">
      @import url("./css/maven-base.css");
      @import url("./css/maven-theme.css");
      @import url("./css/site.css");
    </style>
    <link rel="stylesheet" href="./css/print.css" type="text/css" media="print" />
    <meta name="Date-Revision-yyyymmdd" content="20161129" />
    <meta http-equiv="Content-Language" content="en" />
        
        </head>
  <body class="composite">
    <div id="banner">
                      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
            
            
                <div class="xleft">
        <span id="publishDate">Last Published: 2016-11-29</span>
                  &nbsp;| <span id="projectVersion">Version: ${project.version}</span>
                      </div>
            <div class="xright">        
            
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
             
            
                                      <a href="http://maven.apache.org/" title="Built by Maven" class="poweredBy">
        <img class="poweredBy" alt="Built by Maven" src="./images/logos/maven-feather.png" />
      </a>
                   
            
            </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
        <div class="section"><h2>PMD Results<a name="PMD_Results"></a></h2><p>The following document contains the results of <a class="externalLink" href="http://pmd.sourceforge.net/">PMD</a> 5.0.5.</p></div><div class="section"><h2>Files<a name="Files"></a></h2><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.java<a name="orgeclipsepapyrusdesignerlanguagesjavacodegenJavaLangCodegen.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html#L99">99</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html#L99">99</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html#L102">102</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html#L102">102</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.java<a name="orgeclipsepapyrusdesignerlanguagesjavacodegentransformationJavaMerger.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#L105">105</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#L131">131</a></td></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#L146">146</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#L160">160</a></td></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#L442">442</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#L459">459</a></td></tr><tr class="b"><td>Avoid unused private methods such as 'removeOldElement(IJavaElement,IJavaElement,int)'.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#L682">682</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#L714">714</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#L715">715</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#L716">716</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#L717">717</a></td></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#L752">752</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#L754">754</a></td></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#L765">765</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#L777">777</a></td></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#L908">908</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#L911">911</a></td></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#L993">993</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#L1015">1015</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#L1036">1036</a></td></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#L1054">1054</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#L1068">1068</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.java<a name="orgeclipsepapyrusdesignerlanguagesjavacodegentransformationJavaModelElementsCreator.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Avoid empty if statements</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#L153">153</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#L155">155</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#L153">153</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#L153">153</a></td></tr><tr class="a"><td>Avoid empty if statements</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#L157">157</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#L159">159</a></td></tr><tr class="b"><td>Avoid empty if statements</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#L159">159</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#L161">161</a></td></tr><tr class="a"><td>Avoid empty if statements</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#L161">161</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#L163">163</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#L181">181</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#L181">181</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#L182">182</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/codegen/utils/JavaGenUtils.java<a name="orgeclipsepapyrusdesignerlanguagesjavacodegenutilsJavaGenUtils.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Avoid unused private fields such as 'currentNS'.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/utils/JavaGenUtils.html#L42">42</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/utils/JavaGenUtils.html#L166">166</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/utils/JavaGenUtils.html#L166">166</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/utils/JavaGenUtils.html#L172">172</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/codegen/utils/Modifier.java<a name="orgeclipsepapyrusdesignerlanguagesjavacodegenutilsModifier.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>Avoid unused imports such as 'org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.Array'</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/utils/Modifier.html#L14">14</a></td></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/utils/Modifier.html#L57">57</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/utils/Modifier.html#L59">59</a></td></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/utils/Modifier.html#L173">173</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/utils/Modifier.html#L181">181</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaAttribute.java<a name="orgeclipsepapyrusdesignerlanguagesjavacodegenxtendJavaAttribute.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaAttribute.html#L18">18</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassAttributesDeclaration.java<a name="orgeclipsepapyrusdesignerlanguagesjavacodegenxtendJavaClassAttributesDeclaration.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassAttributesDeclaration.html#L14">14</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassImportClassDeclaration.java<a name="orgeclipsepapyrusdesignerlanguagesjavacodegenxtendJavaClassImportClassDeclaration.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassImportClassDeclaration.html#L19">19</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassOperationsDeclaration.java<a name="orgeclipsepapyrusdesignerlanguagesjavacodegenxtendJavaClassOperationsDeclaration.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassOperationsDeclaration.html#L15">15</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassTypeAndEnum.java<a name="orgeclipsepapyrusdesignerlanguagesjavacodegenxtendJavaClassTypeAndEnum.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassTypeAndEnum.html#L16">16</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.java<a name="orgeclipsepapyrusdesignerlanguagesjavacodegenxtendJavaClassifierGenerator.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html#L17">17</a></td></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html#L18">18</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html#L19">19</a></td></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html#L20">20</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html#L21">21</a></td></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html#L22">22</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html#L23">23</a></td></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html#L24">24</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html#L25">25</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaEnumerations.java<a name="orgeclipsepapyrusdesignerlanguagesjavacodegenxtendJavaEnumerations.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaEnumerations.html#L15">15</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaInnerClassifiers.java<a name="orgeclipsepapyrusdesignerlanguagesjavacodegenxtendJavaInnerClassifiers.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaInnerClassifiers.html#L13">13</a></td></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaInnerClassifiers.html#L14">14</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaInnerClassifiers.html#L15">15</a></td></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaInnerClassifiers.html#L16">16</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaInnerClassifiers.html#L17">17</a></td></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaInnerClassifiers.html#L18">18</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaInnerClassifiers.html#L19">19</a></td></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaInnerClassifiers.html#L20">20</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.java<a name="orgeclipsepapyrusdesignerlanguagesjavacodegenxtendJavaOperations.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html#L20">20</a></td></tr><tr class="a"><td>No need to import a type that lives in the same package</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html#L21">21</a></td></tr></table></div></div>
      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
      <div class="xright">
              Copyright &#169;  All Rights Reserved.      
            
                  </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
